dofile_once("data/scripts/perks/perk.lua")

local player_entity = EntityGetWithTag("player_unit")[1]
local x, y = EntityGetTransform(player_entity)
local perk = perk_spawn(x, y, "REGENERATING_SHIELD_SHIELD")
perk_pickup(perk, player_entity, EntityGetName(perk), false, false)